﻿/*
 *Copyright(C) 2020 by  Cyf All rights reserved.
 *Unity版本：2021.3.11f1c2 
 *作者:程一峰  
 *创建日期: 2022-11-10 
 *模块说明：木蝴蝶数学库:通用部分
 *版本: 1.0
*/


namespace Oroxylum
{
    /// <summary>
    /// 相交结果
    /// </summary>
    public enum E_IntersectionResult :byte
    {
        /// <summary>
        /// 未计算
        /// </summary>
        NotComputed,

        /// <summary>
        /// 相交
        /// </summary>
        Intersects,

        /// <summary>
        /// 不相交
        /// </summary>
        NoIntersection,

        /// <summary>
        /// 无效查询
        /// </summary>
        InvalidQuery

    }
}